/* eslint-disable camelcase */
import { FluidType, UserExplorationState, UserExplorationType } from 'enums'
import { DateTime } from 'luxon'

export interface ExplorationEntity {
  id: string
  state: UserExplorationState
  description: string
  complementary_description: string
  target: number
  type: UserExplorationType
  date: string | null
  ecogesture_id: string
  fluid_condition: FluidType[]
  message_success: string
}

export interface UserExploration extends Omit<ExplorationEntity, 'date'> {
  progress: number
  date: DateTime | null
}
